Android Studio4.0:Could not find com.android.tools.build:gradle:5.1.1. Searched in the following

首先我们要搞清楚一个问题。就是gradle version和plugin version的区别。这是两个不一样的鬼东西,所以在网上找到对应的版本号才可以,然后下载,我下的gradle 是5.1.1,它对应的pulgin是3.4.0

先进入设置

在build里的gadle选中本地版本。

再C+A+S+s进入菜单

这里project里的版本号对应没问题,基本就可以。

注意:中间我修改了一些配置文件里的乱七八糟的配置,结果又有一些奇怪的问题,其实原本其他位置不用改什么东西。

最后出现了个这问题。。

Could not find method dependenciesInfo() for arguments [build_1crvnrvgetpd5iycuo3jl84jo$_run_closure,告诉我这个方法不能用然后,因为没玩过不知道怎么用。。终极必杀。。。。注释掉。。

然后build成功!

©️2020 CSDN 皮肤主题: 深蓝海洋 设计师:CSDN官方博客 返回首页